cls
 
$spSite = Read-Host -Prompt 'Type your SharePoint site URL'
$extensionGUID = "85c711c6-9442-4f31-a0b9-296e12f1c4c2"
$extensionName = "DynamicFavicon"
$extensionTitle = "Change the default favicon of modern SharePoint sites"


try
{
	Connect-PnPOnline -Url $spSite
} catch {
	Write-Host "Unable to connect."
	exit
}

Write-Host "Installing solution..."
Add-PnPApp -Path "./dynamic-favicon.sppkg" -Publish -SkipFeatureDeployment -Overwrite 

 
$url = Read-Host -Prompt "Introduce the link to the new Favicon"

$properties = $('{"faviconpath":"'+$url+'"}')

Add-PnPCustomAction -ClientSideComponentId $extensionGUID -Name $extensionName -Title $extensionTitle -Location ClientSideExtension.ApplicationCustomizer -ClientSideComponentProperties: $properties -Scope site


Write-Host "All Done"

Read-Host